NXWidgets: NXWidgets::CNxWidget::Flags Struct Reference

NXWidgets 1.19

Public Attributes | List of all members
NXWidgets::CNxWidget::Flags Struct Reference

`#include <cnxwidget.hxx>`

## Public Attributes
uint8_t | clicked: 1
uint8_t | hasFocus: 1
uint8_t | dragging: 1
uint8_t | deleted: 1
uint8_t | borderless: 1
uint8_t | draggable: 1
uint8_t | drawingEnabled: 1
uint8_t | enabled: 1
uint8_t | permeable: 1
uint8_t | erased: 1
uint8_t | hidden: 1
uint8_t | doubleClickable: 1

## Detailed Description

Struct describing some basic properties of a widget.

Definition at line 142 of file cnxwidget.hxx.

## Member Data Documentation

## ◆ borderless

uint8_t NXWidgets::CNxWidget::Flags::borderless

True if the widget is borderless.

Definition at line 148 of file cnxwidget.hxx.

## ◆ clicked

uint8_t NXWidgets::CNxWidget::Flags::clicked

True if the widget is currently clicked.

Definition at line 144 of file cnxwidget.hxx.

## ◆ deleted

uint8_t NXWidgets::CNxWidget::Flags::deleted

True if the widget has been deleted.

Definition at line 147 of file cnxwidget.hxx.

## ◆ doubleClickable

uint8_t NXWidgets::CNxWidget::Flags::doubleClickable

True if the widget can be double-clicked.

Definition at line 155 of file cnxwidget.hxx.

## ◆ draggable

uint8_t NXWidgets::CNxWidget::Flags::draggable

True if the widget can be dragged.

Definition at line 149 of file cnxwidget.hxx.

## ◆ dragging

uint8_t NXWidgets::CNxWidget::Flags::dragging

True if the widget is being dragged.

Definition at line 146 of file cnxwidget.hxx.

## ◆ drawingEnabled

uint8_t NXWidgets::CNxWidget::Flags::drawingEnabled

True if the widget can be drawn.

Definition at line 150 of file cnxwidget.hxx.

## ◆ enabled

uint8_t NXWidgets::CNxWidget::Flags::enabled

True if the widget is enabled.

Definition at line 151 of file cnxwidget.hxx.

## ◆ erased

uint8_t NXWidgets::CNxWidget::Flags::erased

True if the widget is currently erased from the frame buffer.

Definition at line 153 of file cnxwidget.hxx.

## ◆ hasFocus

uint8_t NXWidgets::CNxWidget::Flags::hasFocus

True if the widget has focus.

Definition at line 145 of file cnxwidget.hxx.

## ◆ hidden

uint8_t NXWidgets::CNxWidget::Flags::hidden

True if the widget is hidden.

Definition at line 154 of file cnxwidget.hxx.

## ◆ permeable

uint8_t NXWidgets::CNxWidget::Flags::permeable

True if the widget's children can exceed its dimensions.

Definition at line 152 of file cnxwidget.hxx.

The documentation for this struct was generated from the following file:

- cnxwidget.hxx